<?php
// 应用公共文件
/**
 * 生成随机字符串
 * @param int $num 字符个数
 * @return string
 */
function getRandStr($num = 6)
{
    $char = 'qwertyuiopasdfghjklzxcvbnm1234567890QAZXSWEDCVFRTGBNHYUJMKIOP';
    $str = '';
    $char_length = strlen($char) - 1;
    for ($i = 0; $i < $num; $i++) {
        $str .= $char[mt_rand(0, $char_length)];
    }
    return $str;
}

//生成订单号
function getSn($head = '')
{
    $order_id_main = date('YmdHi') . mt_rand(1000, 9999);
    //唯一订单号码（YYMMDDHHIISSNNN）
    return $head . substr($order_id_main, 2); //生成订单号
}
